Skip to main content
GET
/
pages
/
{page_id}
/
posts
/
{id}
Get a specific post
curl --request GET \
  --url https://app.blogbowl.io/api/v1/pages/{page_id}/posts/{id}
{
  "id": 123,
  "title": "<string>",
  "slug": "<string>",
  "status": "<string>",
  "description": "<string>",
  "content_html": "<string>",
  "seo_title": "<string>",
  "seo_description": "<string>",
  "og_title": "<string>",
  "og_description": "<string>",
  "cover_image_url": "<string>",
  "og_image_url": "<string>",
  "category_id": 123,
  "page_id": 123,
  "scheduled_at": "<string>",
  "first_published_at": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>"
}

Path Parameters

page_id
number
required

Page ID

id
number
required

Post ID

Response

200 - */*

Post details

id
number
required

Post ID

title
string
required

Post title

slug
string
required

Post slug

status
string
required

Post status (draft, published, scheduled)

description
string
required

Post description

content_html
string
required

Post content in HTML

seo_title
string
required

SEO title

seo_description
string
required

SEO description

og_title
string
required

Open Graph title

og_description
string
required

Open Graph description

cover_image_url
string
required

Cover image URL

og_image_url
string
required

Open Graph image URL

category_id
number
required

Category ID

page_id
number
required

Page ID

scheduled_at
string
required

Scheduled publish date

first_published_at
string
required

First published date

created_at
string
required

Creation date

updated_at
string
required

Updated date